﻿using System.Collections.Generic;
using System.Diagnostics;
using System.Drawing;

namespace AppLauncher.Models
{
    public class TileModel
    {
        public string Title { get; set; }
        public Image Icon { get; set; }
        public string ProcessFilename { get; set; }
        public string ProcessArgument { get; set; }
        public string ProcessWorkingDirectory { get; set; }
        public ProcessWindowStyle ProcessWindowStyle { get; set; } = ProcessWindowStyle.Normal;
        public bool ProcessAsAdmin { get; set; } = false;
        public Point Position { get; set; }

        public bool IsGroup { get; set; } = false;
        protected List<TileModel> Items { get; set; } = new List<TileModel>();

    }
}
