﻿namespace RyzStudio.Windows.ThemedForms
{
	using System.Drawing;

	public struct ThemeStyle
	{
		public int BorderWidth;
		public int BorderRadius;
		public int BorderPadding;
		public Color BorderColour;
		public Color BackColour;
		public Color ForeColour;

		public ThemeStyle(int borderWidth, int borderRadius, int borderPadding, Color borderColour, Color backColour)
		{
			this.BorderWidth = borderWidth;
			this.BorderRadius = borderRadius;
			this.BorderPadding = borderPadding;
			this.BorderColour = borderColour;
			this.BackColour = backColour;
			this.ForeColour = Color.Black;
		}

		public ThemeStyle(int borderWidth, int borderRadius, int borderPadding, Color borderColour, Color backColour, Color foreColour)
		{
			this.BorderWidth = borderWidth;
			this.BorderRadius = borderRadius;
			this.BorderPadding = borderPadding;
			this.BorderColour = borderColour;
			this.BackColour = backColour;
			this.ForeColour = foreColour;
		}
	}
}
