﻿namespace RyzStudio.Windows.ThemedForms
{
	using System.Drawing;

	public class ButtonStyle
	{
		public Color BackColour { get; set; }
		public Color PenColour { get; set; }
		public Image ForeImage { get; set; } = null;

		public ButtonStyle(Color backColour, Color penColour)
		{
			this.BackColour = backColour;
			this.PenColour = penColour;
			this.ForeImage = null;
		}

		public ButtonStyle(Color backColour, Color penColour, Image foreImage)
		{
			this.BackColour = backColour;
			this.PenColour = penColour;
			this.ForeImage = foreImage;
		}
	}
}
